*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 100vh;
  position: relative;
  background: linear-gradient(to top right, #ecc5fb, #e1ffee, #faf4b7);
}
main {
  display: flex;
  flex-direction: column;
  width: 500px;
  height: 90vh;
  padding: 10px 0;
  background: #c7f2a4;
  border-radius: 20px;
  position: relative;
}
section {
  text-align: center;
  background-color: #ffffff;
  color: #444;
  border-radius: 17px;
  font-size: 18px;
  width: 90%;
  word-wrap: break-word;
  padding: 60px 15px;
  line-height: 25px;
  margin: 70px auto;
  position: relative;
}
.range {
  width: 50px;
}
.line {
  position: absolute;
  width: 95%;
  margin: 0 auto;
  background-color: #999999;
  height: 10px;
  bottom: 2px;
}
section article {
  position: absolute;
  top: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  margin: 0 auto;
}
article div {
  padding-right: 20px;
  margin-right: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
}
article div h2 {
  margin-left: 35px;
  margin-right: -23px;
  font-size: 23px;
  color: #ff1e00;
}
input {
  width: fit-content;
  border: 1px solid green;
  outline: none;
  font-size: 16px;
  border-radius: 4px;
}

.clip {
  display: grid;
  justify-content: center;
  align-items: center;
  grid-template-columns: 21px 1fr;
  position: relative;
}
h3 {
  position: absolute;
  right: 13px;
  top: 25px;
  font-size: 15px;
  align-self: center;
  visibility: hidden;
  color: blue;
}
.vis {
  visibility: visible;
}
.fa-clipboard {
  font-size: 23px;
  transition: 0.3s;
}
.fa-clipboard:hover {
  scale: 1.3;
}
button {
  padding: 7px 17px;
  outline: none;
  border: 0px solid transparent;
  background-color: #00ffd1;
  color: #ffffff;
  border-radius: 10px;
  font-size: 24px;
  /* margin-top: 50px; */
  position: sticky;
  width: fit-content;
  margin: 0 auto;
  position: absolute;
  bottom: 125px;
  z-index: 999;
  left: calc(50% - 50px);
  text-align: center;
  transition: 0.3s linear;
}
button:hover {
  background-color: #f96666;
}
.thanks {
  text-align: center;
  background-color: #ffffff;
  color: #444;
  border-radius: 17px;
  font-size: 24px;
  padding-bottom: 20px;
  width: 90%;
  padding: 10px 15px;
  line-height: 25px;
  margin: 5px auto;
}

/* .extra {
  margin-top: 20px;
  text-align: center;
  background-color: #ffffff;
  color: #444;
  border-radius: 17px;
  font-size: 18px;
  width: 90%;
  max-width: 90%;
  word-wrap: break-word;
  padding: 60px 15px;
  line-height: 25px;
  margin: 5px auto;
}
.extra h4 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 70%;
  margin: 0 auto;
  gap: 10px;
}
.show {
  padding: 2px 4px;
  outline: none;
  border: 0px solid transparent;
  background-color: green;
  color: #ffffff;
  border-radius: 6px;
  font-size: 16px;
  margin-top: 20px;
  width: fit-content;
  margin: 5px auto;
  transition: 0.3s linear;
} */
/* .extra p {
  display: grid;
  grid-template-columns: 1fr 25px;
  width: 80%;
  margin: 0 auto;
  background-color: antiquewhite;
  text-align: justify;
}
.extra h4 {
  margin-left: 100px;
} */
